View Issue Details

IDProjectCategoryView StatusLast Update
0000844OpenFOAM[All Projects] Bugpublic2015-05-01 16:42
ReporterprojectionistAssigned Tohenry 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSUbuntuOS Version12.04 LTS
Product Version 
Fixed in Version 
Summary0000844: Faulty behaviour when using time variant uniformFixedValue BC in two-phase simulation
DescriptionI have two 2D bubble column cases. One case has a constant inlet velocity of air. The other case uses the 'uniformFixedValue' BC to ramp-up the inlet velocity to the same value as in the other case.
The inlet volume fraction is equal to one and the interior is partially filled with water.

The case with constant inlet velocity behaves as expected. The case with the time-variant inlet velocity has no mass flow across the inlet although alpha1 and U1 are non-zero.
Steps To ReproduceRun the attached cases.

I used Build: 2.1.x-0038d7805653
TagsNo tags attached.

Activities

projectionist

2013-05-08 14:35

reporter  

timeVariantTwoPhase.tar.bz2 (7,844 bytes)

henry

2013-05-08 15:03

manager   ~0002181

You will need to create a variant of the uniformFixedValue which also adjusts the corresponding phase flux after the update of the velocity.

It may be possible to automate this process within the solver but it requires scanning the types of the velocity BCs and perform the appropriate updates on the corresponding fluxes which may not alway have the required/expected behaviour.

henry

2013-06-20 14:50

manager   ~0002287

I am working on a more general solution to this problem for the next major release, in the meantime I am working on a temporary fix. Which two-phase solver are you running?

Issue History

Date Modified Username Field Change
2013-05-08 14:35 projectionist New Issue
2013-05-08 14:35 projectionist File Added: timeVariantTwoPhase.tar.bz2
2013-05-08 15:03 henry Note Added: 0002181
2013-06-20 14:50 henry Note Added: 0002287
2015-01-01 14:09 henry Status new => resolved
2015-01-01 14:09 henry Resolution open => fixed
2015-01-01 14:09 henry Assigned To => henry